#pragma once
#include "Entity.h"
#define CS_SKYDRAGONANI_CREATENAME L"CS_skydragon_animate"
//·ÉÁú
class CS_SkyDragonAni :
    public Entity
{
public:
    CS_SkyDragonAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //¶¯»­
    int stateID = 0;
    float hover_x = 0;
    float hover_y = 0;
    float animation_moveSpeed = 0x200 / ts;
    bool bSetTarget = false;
    std::weak_ptr<Entity> animation_target;
};

std::shared_ptr<Entity> CreateCS_SkyDragonAni();